name: Build

on:
  push:
    branches:
      - main
  pull_request:

jobs:
  build:
    runs-on: docker
    container:
      image: node:22
    steps:
      - uses: actions/checkout@v4
      - run: npm ci
      - run: npm run build
